/*
 * This file is part of smolbote. It's copyrighted by the contributors recorded
 * in the version control history of the file, available from its original
 * location: https://library.iserlohn-fortress.net/aqua/smolbote.git
 *
 * SPDX-License-Identifier: MIT
 */

#ifndef SMOLBOTE_PLUGIN_INTERFACE_HPP
#define SMOLBOTE_PLUGIN_INTERFACE_HPP

#include <QtPlugin>

class QDialog;
class PluginInterface
{
public:
    virtual ~PluginInterface() = default;
    virtual QDialog *createWidget(QWidget *parent = nullptr) const = 0;
};

#define PluginInterfaceIid "net.iserlohn-fortress.smolbote.PluginInterface"
Q_DECLARE_INTERFACE(PluginInterface, PluginInterfaceIid)

#endif // SMOLBOTE_PLUGIN_INTERFACE_HPP
