/*
 * This file is part of smolbote. It's copyrighted by the contributors recorded
 * in the version control history of the file, available from its original
 * location: https://neueland.iserlohn-fortress.net/gitea/aqua/smolbote
 *
 * SPDX-License-Identifier: GPL-3.0
 */

#ifndef PROFILEEDITOR_PLUGIN_H
#define PROFILEEDITOR_PLUGIN_H

#include <plugininterface.h>

class QDialog;
class ProfileEditorPlugin : public QObject, public PluginInterface
{
    Q_OBJECT
    Q_PLUGIN_METADATA(IID PluginInterfaceIid FILE "ProfileEditor.json")
    Q_INTERFACES(PluginInterface)

public:
    // PluginInterface
    QHash<QString, std::function<int()>> commands() override;

    // ProfileInterface
    QDialog *createWidget(QWidget *parent) const override;
};

#endif //PROFILEEDITOR_PLUGIN_H
