/*
 * This file is part of smolbote. It's copyrighted by the contributors recorded
 * in the version control history of the file, available from its original
 * location: https://neueland.iserlohn-fortress.net/gitea/aqua/smolbote
 *
 * SPDX-License-Identifier: GPL-3.0
 */

#ifndef SMOLBOTE_CRASHHANDLER_H
#define SMOLBOTE_CRASHHANDLER_H

#include <string>

namespace CrashHandler
{
struct Context {
    const std::string dumppath;
    const std::string handler;

    explicit Context(const std::string &path, const std::string &crashhandler)
        : dumppath(path)
        , handler(crashhandler)
    {
    }
};

bool install_handler(Context &ctx);
}

#endif // SMOLBOTE_CRASHHANDLER_H
