/*
 * This file is part of smolbote. It's copyrighted by the contributors recorded
 * in the version control history of the file, available from its original
 * location: https://neueland.iserlohn-fortress.net/gitea/aqua/smolbote
 *
 * SPDX-License-Identifier: GPL-3.0
 */

#include "dockwidget.h"
#include <QCloseEvent>

DockWidget::DockWidget(const QString &title, QWidget *parent, Qt::WindowFlags flags)
    : QDockWidget(title, parent, flags)
{
    setAttribute(Qt::WA_DeleteOnClose, true);
}

DockWidget::~DockWidget()
{
    // dock widget takes ownership of its widget, so closing the dock widget
    // causes it to delete the widget as well
    // clear the widget's parent to prevent this
    if(widget())
        widget()->setParent(nullptr);
}
