/*
 * This file is part of smolbote. It's copyrighted by the contributors recorded
 * in the version control history of the file, available from its original
 * location: https://neueland.iserlohn-fortress.net/gitea/aqua/smolbote
 *
 * SPDX-License-Identifier: GPL-3.0
 */

#ifndef SMOLBOTE_NAVIGATIONBAR_H
#define SMOLBOTE_NAVIGATIONBAR_H

#include <QToolBar>

class Configuration;
class WebView;
class NavigationBar : public QToolBar
{
    Q_OBJECT

public:
    explicit NavigationBar(QWidget *parent = nullptr);

public slots:
    void connectWebView(WebView *view);

private slots:
    void update_loadStarted();
    void update_loadFinished();

private:
    WebView *m_view;

    QAction *backAction, *forwardAction;
    QAction *stopReloadAction;
    QAction *homeAction;

    QMetaObject::Connection loadStartedConnection, loadFinishedConnection;
};

#endif // SMOLBOTE_NAVIGATIONBAR_H
