#include "bookmarkmodel.h"
#include <QApplication>
#include <QDebug>
#include <QFile>
#include <QTreeView>

int main(int argc, char **argv)
{
    QApplication app(argc, argv);

    QFile f(qgetenv("FILE"));

    auto *model = new BookmarkModel;

    if(f.open(QIODevice::ReadOnly)) {
        BookmarkFormat<FirefoxJsonFormat>(&f) >> model;
        f.close();
    } else
        return -1;

    auto *view = new QTreeView;
    view->setModel(model);

    if(qgetenv("NOGUI") == "1")
        return 0;

    QObject::connect(view, &QTreeView::activated, [model](const QModelIndex &index) {
        const auto tags = model->data(index, BookmarkItem::Tags, Qt::DisplayRole).toStringList();
        qDebug() << tags.join(" || ");
    });

    view->show();
    return app.exec();
}
